# 🌊 floodwaive

[![PyPI version](https://img.shields.io/pypi/v/floodwaive.svg)](https://pypi.org/project/floodwaive/)
[![Build Status](https://github.com/floodwaive/floodwaive-library/actions/workflows/release.yml/badge.svg)](https://github.com/floodwaive/floodwaive-library/actions)
[![Python versions](https://img.shields.io/pypi/pyversions/floodwaive.svg)](https://pypi.org/project/floodwaive/)
[![License](https://img.shields.io/github/license/floodwaive/floodwaive-library.svg)](https://github.com/floodwaive/floodwaive-library/blob/main/LICENSE)
[![TestPyPI](https://img.shields.io/badge/TestPyPI-floodwaive-informational?logo=python&labelColor=grey)](https://test.pypi.org/project/floodwaive/)


> Core SDK for predictive flood intelligence and seamless integration with FloodWaive API services.
---

## 📦 Installation

Install from PyPI:

```bash
pip install floodwaive
```
---

## 🚀 Quick Start
```python
import floodwaive
floodwaive.hello_world()
```

## Check version
```python
floodwaive.print_version()
```

## Check connection to the API
```python
floodwaive.check_connection("https://api.floodwaive.de")
```

## Validate API token
```python
floodwaive.validate_token("your-api-token-here")
```

## ⚠️ API Usage Notice
This library is open source under the MIT License, but access to the FloodWaive API is subject to separate licensing and usage terms.

You must be authorized to use the FloodWaive API. Please contact us for access or licensing details:

📬 info@floodwaive.de

🌐 floodwaive.de
